Package org.jfree.report.util

## Class AttributeNameGenerator

- java.lang.Object
- - org.jfree.report.util.AttributeNameGenerator

-     public class AttributeNameGenerator
      extends java.lang.Object

  Creation-Date: 21.11.2006, 13:24:41
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeNameGenerator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `generateName​(java.lang.String base)` |
    `void` | `reset()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeNameGenerator

          public AttributeNameGenerator()

  - ### Method Detail

    - #### generateName

          public java.lang.String generateName​(java.lang.String base)

    - #### reset

          public void reset()